curl --request POST 'https://api.mayar.id/credit/v1/credit/customer/spend' \
--header 'Authorization: Bearer Paste-Your-API-Key-Here' \
--header 'Content-Type: application/json' \
--data '{
"customerId": "9de4b4b4-525c-4ee0-ac9c-b29c3e10fe55",
"productId": "40f26fbe-f4d8-4693-975f-e6d105d291e6",
"amount": 10
}'
{
"statusCode": 200,
"message": "Successfully spent 10. MAIN: 10, ADD_ON: 0"
}
Credit Based Product
Spend Customer Credit
This endpoint is used to spend a specified amount of credit from a member’s account on particular membership tier on membership credit product.
Was this page helpful?
